Bug 1314350 - create subnet doesn't calculate DHCP pool
create subnet doesn't calculate DHCP pool
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Matthias Runge
Ido Ovadia
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 07:39 EST by Martin Pavlásek
Modified: 2016-04-07 04:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-07 04:32:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1553972 None None None 2016-03-07 05:10 EST

  None (edit)
Description Martin Pavlásek 2016-03-03 07:39:26 EST
Description of problem:
Later updated subnet gateway leads to IP address conflict with DHCP pool range.

Version-Release number of selected component (if applicable):
RHEL 7.2
python-django-horizon-8.0.1-1.el7ost.noarch
openstack-dashboard-8.0.1-1.el7ost.noarch
openstack-packstack-puppet-7.0.0-0.12.dev1699.g8f54936.el7ost.noarch
openstack-neutron-common-7.0.1-10.el7ost.noarch
openstack-neutron-ml2-7.0.1-10.el7ost.noarch
openstack-neutron-7.0.1-10.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
Log in as demo user.
1. Project - Network - Networks - Create Network
2. network "test_net", subnet "test_subnet", network address 10.0.0.0/24, IPv4, gateway IP 10.0.0.1, Next, leave Allocation Pools unchanged

Actual results:
Allocation pools is blank

Expected results:
it should exclude the IP of gateway from the DHCP pool, so:
10.0.0.2,10.0.0.254

Additional info:
Comment 2 Matthias Runge 2016-04-07 04:32:33 EDT
this was discussed upstream, and couldn't be reproduced there https://bugs.launchpad.net/horizon/+bug/1553972

Note You need to log in before you can comment on or make changes to this bug.